Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Class ObjectProperty

    java.lang.Object
      com.plumtree.remote.prc.ObjectProperty

Direct Known Subclasses:
  AuthSourceProperty, CommunityPageProperty, CommunityProperty, CommunityTemplateProperty, CrawlerProperty, DataSourceProperty, DocumentFolderProperty, DocumentProperty, DocumentTypeProperty, ExternalOperationProperty, FederatedPortalProperty, FilterProperty, JobProperty, MyPageProperty, PageTemplateProperty, PortletProperty, PortletTemplateProperty, ProfileSourceProperty, PropertyProperty, RemoteServerProperty, UserGroupProperty, UserInterfaceProperty, UserProperty, WebServiceProperty

public class ObjectProperty
extends java.lang.Object

An enumerated type used to describe the properties common to all objects in the portal.

Field Summary
`static ObjectProperty` | `ClassID` The object's class ID.
`static ObjectProperty` | `Created` The date the object was first created.
`static ObjectProperty` | `Description` The description of the object (in the current user's language).
`static ObjectProperty` | `FolderID` The folder ID of the folder that contains the object.
`static ObjectProperty` | `IsLocalized` Whether or not the object uses localized names.
`static ObjectProperty` | `Language` The language for this object.
`static ObjectProperty` | `LastModified` The date the object was last modified.
`static ObjectProperty` | `LastModifiedBy` The user ID of the user who last modified the object.
`static ObjectProperty` | `Name` The name of the object (in the current user's language).
`static ObjectProperty` | `ObjectID` The object's ID.
`static ObjectProperty` | `OwnerID` The user ID of the object's owner.
`static ObjectProperty` | `UUID` The object's migration UUID.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ObjectID

    public static final ObjectProperty ObjectID

  The object's ID.

### ClassID

    public static final ObjectProperty ClassID

  The object's class ID.

### OwnerID

    public static final ObjectProperty OwnerID

  The user ID of the object's owner.

### IsLocalized

    public static final ObjectProperty IsLocalized

  Whether or not the object uses localized names.

### Name

    public static final ObjectProperty Name

  The name of the object (in the current user's language).

### Description

    public static final ObjectProperty Description

  The description of the object (in the current user's language).

### Created

    public static final ObjectProperty Created

  The date the object was first created.

### LastModified

    public static final ObjectProperty LastModified

  The date the object was last modified.

### Language

    public static final ObjectProperty Language

  The language for this object.

### UUID

    public static final ObjectProperty UUID

  The object's migration UUID.

### FolderID

    public static final ObjectProperty FolderID

  The folder ID of the folder that contains the object.

### LastModifiedBy

    public static final ObjectProperty LastModifiedBy

  The user ID of the user who last modified the object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.